<template>
<v-dialog v-model="dialogDataProp" width="600px" height="600px">
    <v-card>
        <v-card-title>
            <h3>Alerta, va a eliminar información!!</h3>
        </v-card-title>
        <v-card-text>
            ¿Esta a punto de eliminar este paquete, esta seguro que desea continuar? La informacion se perdera completamente.
        </v-card-text>
        <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn color="error" @click="onConfirm">
                <v-icon>delete</v-icon>
                Borrar
            </v-btn>
            <v-btn color="primary" flat @click="closeDialog">Cancelar</v-btn>
        </v-card-actions>
    </v-card>
</v-dialog>
</template>

<script>
import axios from 'axios'
import server from '../../server'

export default {
    name: 'TaskDialogDelete',
    props: {
        dialog2: Boolean,
        items: Object,
        source: String,
    },
    methods: {
        closeDialog() {
            this.$emit('close-dialog2');
        },
        onConfirm() {
            let self = this;
            axios
                .get(`${server}${self.source}${self.items.id}`, {
                    headers: {
                        Authorization: this.$store.getters.getAccessToken
                    }
                })
                .then(rest => {
                    self.closeDialog();
                    this.$parent.deleteMessage();
                })
                .catch(error => {
                    self.failed = true;
                    self.message = error;
                    self.loader = false
                });

        }
    },
    computed: {
        dialogDataProp: {
            get: function () {
                return this.dialog2
            },
            set() {}
        }
    }
}
</script>

<style>

</style>
